package com.geekcap.modeler.model;

/**
 * Represents an operation parameter
 * @author shaines
 */
public class OperationParameter
{
    /**
     * The operation parameter type
     */
    private String type;

    /**
     * The name of the operation parameter
     */
    private String name;

    public OperationParameter( String name )
    {
        this.name = name;
    }

    public OperationParameter( String type, String name )
    {
        this.type = type;
        this.name = name;
    }

    public OperationParameter()
    {
    }

    public String getName()
    {
        return name;
    }

    public void setName( String name )
    {
        this.name = name;
    }

    public String getType()
    {
        return type;
    }

    public void setType( String type )
    {
        this.type = type;
    }

    public String toString()
    {
        return type + " " + name;
    }
}
