/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.geekcap.modeler.service;

import com.geekcap.modeler.dao.TemplateDao;

/**
 * An abstract base class for TemplateService implementation classes
 *
 * @author shaines
 */
public abstract class AbstractTemplateServiceImpl implements TemplateService
{
    /**
     * The TemplateDao through which the service should load templates
     */
    protected TemplateDao templateDao;

    /**
     * Injects a TemplateDao into the service
     *
     * @param templateDao           The TemplateDao through which the service should load templates
     */
    public void setTemplateDao( TemplateDao templateDao )
    {
        this.templateDao = templateDao;
    }
}
