/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.geekcap.modeler.dao;

import com.geekcap.modeler.model.DomainModel;
import com.geekcap.modeler.model.Stereotype;
import java.io.FileInputStream;
import java.util.Set;
import org.junit.Assert;
import org.junit.Test;

/**
 *
 * @author shaines
 */
public class Xmi14DomainObjectDaoImplTest
{
    @Test
    public void testDocument()
    {
        try
        {
            FileInputStream fis = new FileInputStream( "src/test/resources/GeekCapSiteModel.xmi" );
            Xmi14DomainObjectDaoImpl dao = new Xmi14DomainObjectDaoImpl();
            dao.setUmlTypeDao( new PropertiesFileUmlTypeDaoImpl() );
            //List<DomainObject> domainObjects = dao.loadDomainObjects( fis );
            DomainModel domainModel = dao.loadDomainModel( fis );

            Set<Stereotype.Type> types  = domainModel.getStereotypeTypes();
            for( Stereotype.Type type : types )
            {
                System.out.println( "STEREOTYPE: " + type );
                Set<Stereotype> stereotypes = domainModel.getStereotypes( type );
                for( Stereotype stereotype : stereotypes )
                {
                    System.out.println( "\t" + stereotype );
                }
            }

        }
        catch( Exception e )
        {
            e.printStackTrace();
            Assert.fail( e.getMessage() );
        }


    }
}
