/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.geekcap.modeler.dao;

/**
 * Defines the methods that a TemplateDao needs to provide
 *
 * @author shaines
 */
public interface TemplateDao
{
    /**
     * Loads the specified template and returns its contents as a String
     * 
     * @param templateName      The name of the template to load
     * 
     * @return                  The contents of the template
     */
    public String loadTemplate( String templateName );
}
